summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGöktürk Yüksek <gokturk@gentoo.org>2017-01-05 17:08:09 -0500
committerGöktürk Yüksek <gokturk@gentoo.org>2017-01-05 17:08:09 -0500
commitc05c1cc24fb800b6488b4f7f79e8ebb473e72302 (patch)
treea9948240f6986cd8ef7be1345711defdb1fa36db /app-benchmarks/bonnie++/bonnie++-1.97.3.ebuild
parentwww-client/chromium: fix build with glibc-2.24 (diff)
downloadgentoo-c05c1cc24fb800b6488b4f7f79e8ebb473e72302.tar.gz
gentoo-c05c1cc24fb800b6488b4f7f79e8ebb473e72302.tar.bz2
gentoo-c05c1cc24fb800b6488b4f7f79e8ebb473e72302.zip
app-benchmarks/bonnie++: bump to 1.97.3
Package-Manager: portage-2.3.0
Diffstat (limited to 'app-benchmarks/bonnie++/bonnie++-1.97.3.ebuild')
-rw-r--r--app-benchmarks/bonnie++/bonnie++-1.97.3.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/app-benchmarks/bonnie++/bonnie++-1.97.3.ebuild b/app-benchmarks/bonnie++/bonnie++-1.97.3.ebuild
new file mode 100644
index 00000000000..d9aaffd1ae6
--- /dev/null
+++ b/app-benchmarks/bonnie++/bonnie++-1.97.3.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+DESCRIPTION="Hard drive bottleneck testing benchmark suite"
+HOMEPAGE="http://www.coker.com.au/bonnie++/"
+SRC_URI="http://www.coker.com.au/bonnie++/experimental/${P}.tgz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug"
+
+S="${WORKDIR}/${P}"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-1.96-compile-flags.patch" #426788
+ "${FILESDIR}"/${PN}-1.97-zcav-array-indexing-fix.patch #309319
+)
+
+DOCS=( README.txt README-2.00 debian/changelog credits.txt )
+HTML_DOCS=( readme.html )
+
+src_configure() {
+ econf \
+ $(usex debug "--enable-debug" "") \
+ --disable-stripping
+}
+
+src_install() {
+ dobin bonnie++ zcav bon_csv2html bon_csv2txt
+ sed -i -e \
+ "s:/usr/share/doc/bonnie++:${EPREFIX}/usr/share/doc/${PF}/html:g" \
+ bonnie++.8 || die #431684
+ doman bon_csv2html.1 bon_csv2txt.1 bonnie++.8 zcav.8
+ einstalldocs
+}